Skip to main content
GET
https://ge-exchange-staging-1.herokuapp.com/v1/
/
api
/
creditor
/
credit
/
loans
Get Loans By Creditor
curl --request GET \
  --url https://ge-exchange-staging-1.herokuapp.com/v1/api/creditor/credit/loans \
  --header 'Authorization: Bearer <token>'
{
    "status": "success",
    "message": "Loans fetched successfully",
    "data": {
        "page": 1,
        "limit": 5,
        "sort": {
            "created_at": -1
        },
        "docs": [
            {
                "id": "67ef86a1ad2aff781bf01810",
                "borrower": "67d3267b6b2f7dfc493db74a",
                "creditor": "624598bd83067c00f691c0ca",
                "amount": 840000,
                "currency": "NGN",
                "repayment_amount": 1096000,
                "repayment_date": "Fri Jul 04 2025 08:13:30 GMT+0100 (West Africa Standard Time)",
                "interest_rate": 0.3,
                "duration": 3,
                "status": "ACTIVE",
                "grace_period": 5,
                "grace_period_unit": "DAYS",
                "reason": "Personal Use",
                "created_at": "2025-04-04T07:13:37.093Z",
                "updated_at": "2025-04-04T07:14:01.042Z"
            }
        ],
        "totalDocs": 25,
        "totalPages": 5,
        "hasPrevPage": false,
        "hasNextPage": true
    }
}

page
number
Page number for pagination (default: 1).
limit
number
Number of items per page (default: 10).
{
    "status": "success",
    "message": "Loans fetched successfully",
    "data": {
        "page": 1,
        "limit": 5,
        "sort": {
            "created_at": -1
        },
        "docs": [
            {
                "id": "67ef86a1ad2aff781bf01810",
                "borrower": "67d3267b6b2f7dfc493db74a",
                "creditor": "624598bd83067c00f691c0ca",
                "amount": 840000,
                "currency": "NGN",
                "repayment_amount": 1096000,
                "repayment_date": "Fri Jul 04 2025 08:13:30 GMT+0100 (West Africa Standard Time)",
                "interest_rate": 0.3,
                "duration": 3,
                "status": "ACTIVE",
                "grace_period": 5,
                "grace_period_unit": "DAYS",
                "reason": "Personal Use",
                "created_at": "2025-04-04T07:13:37.093Z",
                "updated_at": "2025-04-04T07:14:01.042Z"
            }
        ],
        "totalDocs": 25,
        "totalPages": 5,
        "hasPrevPage": false,
        "hasNextPage": true
    }
}